FsImageProto.NameSystemSectionOrBuilder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, interface: NameSystemSectionOrBuilder

Package org.apache.hadoop.hdfs.server.namenode

# Interface FsImageProto.NameSystemSectionOrBuilder

All Superinterfaces:
  `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `FsImageProto.NameSystemSection`, `FsImageProto.NameSystemSection.Builder`

Enclosing class:
  FsImageProto

public static interface FsImageProto.NameSystemSectionOrBuilder extends org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getGenstampV1()`
  legacy generation stamp
  `long`
  `getGenstampV1Limit()`
  `optional uint64 genstampV1Limit = 4;`
  `long`
  `getGenstampV2()`
  generation stamp of latest version
  `long`
  `getLastAllocatedBlockId()`
  `optional uint64 lastAllocatedBlockId = 5;`
  `long`
  `getLastAllocatedStripedBlockId()`
  `optional uint64 lastAllocatedStripedBlockId = 8;`
  `int`
  `getNamespaceId()`
  `optional uint32 namespaceId = 1;`
  `long`
  `getRollingUpgradeStartTime()`
  `optional uint64 rollingUpgradeStartTime = 7;`
  `long`
  `getTransactionId()`
  `optional uint64 transactionId = 6;`
  `boolean`
  `hasGenstampV1()`
  legacy generation stamp
  `boolean`
  `hasGenstampV1Limit()`
  `optional uint64 genstampV1Limit = 4;`
  `boolean`
  `hasGenstampV2()`
  generation stamp of latest version
  `boolean`
  `hasLastAllocatedBlockId()`
  `optional uint64 lastAllocatedBlockId = 5;`
  `boolean`
  `hasLastAllocatedStripedBlockId()`
  `optional uint64 lastAllocatedStripedBlockId = 8;`
  `boolean`
  `hasNamespaceId()`
  `optional uint32 namespaceId = 1;`
  `boolean`
  `hasRollingUpgradeStartTime()`
  `optional uint64 rollingUpgradeStartTime = 7;`
  `boolean`
  `hasTransactionId()`
  `optional uint64 transactionId = 6;`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasNamespaceId

    boolean hasNamespaceId()
    `optional uint32 namespaceId = 1;`
    Returns:
      Whether the namespaceId field is set.

  - ### getNamespaceId

    int getNamespaceId()
    `optional uint32 namespaceId = 1;`
    Returns:
      The namespaceId.

  - ### hasGenstampV1

    boolean hasGenstampV1()

         legacy generation stamp

    `optional uint64 genstampV1 = 2;`
    Returns:
      Whether the genstampV1 field is set.

  - ### getGenstampV1

    long getGenstampV1()

         legacy generation stamp

    `optional uint64 genstampV1 = 2;`
    Returns:
      The genstampV1.

  - ### hasGenstampV2

    boolean hasGenstampV2()

         generation stamp of latest version

    `optional uint64 genstampV2 = 3;`
    Returns:
      Whether the genstampV2 field is set.

  - ### getGenstampV2

    long getGenstampV2()

         generation stamp of latest version

    `optional uint64 genstampV2 = 3;`
    Returns:
      The genstampV2.

  - ### hasGenstampV1Limit

    boolean hasGenstampV1Limit()
    `optional uint64 genstampV1Limit = 4;`
    Returns:
      Whether the genstampV1Limit field is set.

  - ### getGenstampV1Limit

    long getGenstampV1Limit()
    `optional uint64 genstampV1Limit = 4;`
    Returns:
      The genstampV1Limit.

  - ### hasLastAllocatedBlockId

    boolean hasLastAllocatedBlockId()
    `optional uint64 lastAllocatedBlockId = 5;`
    Returns:
      Whether the lastAllocatedBlockId field is set.

  - ### getLastAllocatedBlockId

    long getLastAllocatedBlockId()
    `optional uint64 lastAllocatedBlockId = 5;`
    Returns:
      The lastAllocatedBlockId.

  - ### hasTransactionId

    boolean hasTransactionId()
    `optional uint64 transactionId = 6;`
    Returns:
      Whether the transactionId field is set.

  - ### getTransactionId

    long getTransactionId()
    `optional uint64 transactionId = 6;`
    Returns:
      The transactionId.

  - ### hasRollingUpgradeStartTime

    boolean hasRollingUpgradeStartTime()
    `optional uint64 rollingUpgradeStartTime = 7;`
    Returns:
      Whether the rollingUpgradeStartTime field is set.

  - ### getRollingUpgradeStartTime

    long getRollingUpgradeStartTime()
    `optional uint64 rollingUpgradeStartTime = 7;`
    Returns:
      The rollingUpgradeStartTime.

  - ### hasLastAllocatedStripedBlockId

    boolean hasLastAllocatedStripedBlockId()
    `optional uint64 lastAllocatedStripedBlockId = 8;`
    Returns:
      Whether the lastAllocatedStripedBlockId field is set.

  - ### getLastAllocatedStripedBlockId

    long getLastAllocatedStripedBlockId()
    `optional uint64 lastAllocatedStripedBlockId = 8;`
    Returns:
      The lastAllocatedStripedBlockId.